### Hierarchy

- UploadOptions

## Index

### Properties

- concurrency
- intelligent
- intelligentChunkSize
- onProgress
- onRetry
- partSize
- progressInterval
- retry
- retryFactor
- retryMaxTime
- timeout

## Properties

### Optional concurrency

concurrency: number

- Defined in lib/api/upload/types.ts:29

Maximum amount of part jobs to run concurrently. Default is 3.

### Optional intelligent

intelligent: boolean | "fallback"

- Defined in lib/api/upload/types.ts:64

Enable/disable intelligent ingestion. If truthy then intelligent ingestion must be enabled in your Filestack application. Passing true/false toggles the global intelligent flow (all parts are chunked and committed). Passing `'fallback'` will only use FII when network conditions may require it (only failing parts will be chunked).

### Optional intelligentChunkSize

intelligentChunkSize: number

- Defined in lib/api/upload/types.ts:68

Set the default intiial chunk size for Intelligent Ingestion. Defaults to 8MB on desktop and 1MB on mobile.

### Optional onProgress

onProgress: function

- Defined in lib/api/upload/types.ts:33

Callback for progress events.

#### Type declaration

- - (evt: FSProgressEvent): void

  - #### Parameters

    - ##### evt: FSProgressEvent

    #### Returns void

### Optional onRetry

onRetry: function

- Defined in lib/api/upload/types.ts:41

Callback for retry events.

#### Type declaration

- - (): void

  - #### Returns void

### Optional partSize

partSize: number

- Defined in lib/api/upload/types.ts:25

Maximum size for file slices. Is overridden when intelligent=true. Default is `6 * 1024 * 1024` (6MB).

### Optional progressInterval

progressInterval: number

- Defined in lib/api/upload/types.ts:37

How often to report progress. Default is 1000 (in milliseconds).

### Optional retry

retry: number

- Defined in lib/api/upload/types.ts:45

Retry limit. Default is 10.

### Optional retryFactor

retryFactor: number

- Defined in lib/api/upload/types.ts:49

Factor for exponential backoff on server errors. Default is 2.

### Optional retryMaxTime

retryMaxTime: number

- Defined in lib/api/upload/types.ts:53

Upper bound for exponential backoff. Default is 15000.

### Optional timeout

timeout: number

- Defined in lib/api/upload/types.ts:57

Timeout for network requests. Default is 120000.